import request from '@/utils/request'

export function listFeishuConfig(query) {
  return request({
    url: '/course/feishuConfig/list',
    method: 'get',
    params: query
  })
}

export function getFeishuConfig(id) {
  return request({
    url: '/course/feishuConfig/' + id,
    method: 'get'
  })
}

export function addFeishuConfig(data) {
  return request({
    url: '/course/feishuConfig',
    method: 'post',
    data: data
  })
}

export function updateFeishuConfig(data) {
  return request({
    url: '/course/feishuConfig',
    method: 'put',
    data: data
  })
}

export function delFeishuConfig(id) {
  return request({
    url: '/course/feishuConfig/' + id,
    method: 'delete'
  })
}
